light-mode-image
Learn
RevocationAPI Reference

Status update

Update mDocs status

POST/v2/credentials/mobile/{credentialId}/status

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

credentialId*string

mDoc identifier

Formatuuid

Request Body

application/json

Credential status payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v2/credentials/mobile/497f6eca-6276-4993-bfeb-53cbbbba6f08/status" \  -H "Content-Type: application/json" \  -d '{    "status": "valid"  }'
{  "status": "valid"}

Retrieve mDocs status

GET/v2/credentials/mobile/{credentialId}/status

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

credentialId*string

mDoc identifier

Formatuuid
credentialId*string

mDoc identifier

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v2/credentials/mobile/497f6eca-6276-4993-bfeb-53cbbbba6f08/status"
{  "status": "valid"}

How would you rate this page?

Last updated on

On this page